import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostAddToGroupMutation = () => {
  return useMutation<
    ResponseType,
    BaseAxiosError,
    { token: string; uid: number; group_token: string },
    ResponseType
  >({
    mutationKey: chatQueryKeys.addToGroup(),
    mutationFn: async (data) => {
      const response = await chatApi.addToGroup(data.token, data.uid, data.group_token);
      return response.data;
    }
  });
};
